Perfect Digital Audio Extraction

Description

The philosophy behind AccurateRip is quite simple - each time an audio track is ripped (recorded to computer) it is compared with rips from other people, this allows a confidence report to be generated. The report might say that 4 other people had exactly the same results, this would guarantee your rip was without error, or the report could say that 3 other people disagree with your rip, the likely hood is that your CD has a scratch, or should be cleaned.


Configuration

dBpowerAMP Users:
Do nothing, AccurateRip is ready.

Exact Audio Copy Users:
Copy accuraterip.dll from ...\dbpoweramp to EAC's install folder.
Besides you must configure some EAC's options:
- In 'EAC' menu >> 'EAC Options' on the 'Extraction' tab "Delete leading and trailing silent blocks" feature must be disabled.
- In 'EAC' menu >> 'EAC Options' on the 'Extraction' tab "Fill up missing offset samples with silence"
or
- In 'EAC' menu >> 'Drive Options' on the 'Offest / Speed' tab "Overread into Lead-In and Lead-Out" - one of the two above features must be activated.

There might be some problems with the first (or last) track, often displaying a wrong CRC. The reason might be a wrongly activated "Overread into Lead-In and Lead-Out" option. Try to disable this option (but then activate "Fill up missing offset samples with silence").


Drives Configuration

Before AccurateRip can be used it must find the correct read offset for your CD drive(s), read offset what is that? every CD drive has a slight reading offset, this value tends to be fixed for each type of drive and is constant (if the drive does not support AccurateStream, ie it has a varying offset each time a track is read then AccurateRip cannot be used, it will never configure).

AccurateRip will find the drive offset by using keydiscs, a key disc is a CD someone else has ripped (with a configured read offset) the CD must have more than 5 tracks of a certain length. To configure AccurateRip insert known keydiscs into your CD Ripper (a list of keydiscs is on www.accuraterip.com) if it is recognized (there are many different pressings of the same CD, each pressing is totally different) AccurateRip will automatically offer to find the drive offset.

When an offset has been found for a drive it has to match an offset already in the drive database, otherwise AccurateRip will require 3 keydiscs that give the same offset. Once configured it is recommended that the disc used to configure accuraterip is ripped to check the accuracy of the drive (see below on how to interprit an AccurateRip report).


Ripping with AccurateRip

Before ripping a CD give it a light clean before ripping, it helps. If AccurateRip recognizes a CD as being in its database it can offer a report at the end of ripping, as an example:

This report tells us that track 3 was not in the database (perhaps not ripped by the person(s) submitting the disc, perhaps the submitted results conflicted - more on that later), tracks 1 and 2 were Accurately Ripped with a confidence of 3 - this means 3 other people have ripped those tracks and got the exact same result, with a matching Confidence of 2 or more you can be 100% sure that your CD Rip is identical to a perfect rip!

The numbers in the [ ] are a CRC results for ripping, you can ignore those. Say things were not so good, if for example track 2 of your CD had a bad scratch then it would have said it was not accurately ripped (same confidence of 3), if the confidence level was 2 or 3, or higher then you can be fairly certain that your rip has the error, but if the confidence was only 1 then you cannot be sure if it was your Rip or the other guys Rip that had the error.

If a CD returns inaccurate results for all the tracks, then either your CD or the submitter(s) have lots of scratches, or a more likely reason is the pressing of the CD is different.

Your results will only appear in the database after you submit them.


Submitting Your Results

AccurateRip needs submissions to flourish, for each CD your rip (good or bad, it all goes into the database that is how it works) the results are stored locally, after awhile of Ripping many CDs you can submit your results (recommended once a week):

dBpowerAMP: select Options Menu >> Submit AccurateRip Results
Exact Audio Copy: select Database Menu >> Send AccurateRip Results

There are two ways to submit results, by HTTP (the web - connect to the internet first), or by email. HTTP is the easiest, by email places a file on the desktop to be emailed to the address shown, after emailing delete the file. Submissions take about two weeks to appear in the database. An automatic reminder can be set to display the submit page every xx days.

Proxy settings are available if your computer requires such to reach the internet.

If you have two CD drives you can rip on one drive first, submit the results then re-rip on the second drive.


Prologue

Many thanks to Panda's help in creating the online submission scripts.


Perfekcyjne cyfrowe zgrywanie nagrań

Opis

Filozofia działania AccurateRip jest bardzo prosta - wyniki zgrywania (zapisywania na twardym dysku komputera) nagrań audio są porównywane z wynikami otrzymanymi przez innych. Dzięki temu można mieć pewność, że kopie są bezbłędne. Przykładowo końcowy raport może więc informować, że identyczne wyniki uzyskały trzy inne osoby. Daje to gwarancję poprawności nagrań. Natomiast niezgodność rezultatów z otrzymanymi przez trzech innych użytkowników świadczy o tym, że płyta jest zabrudzona, ma rysy lub jest uszkodzona. Ewentualnie napęd wymaga wyczyszczenia.


Konfiguracja

Użytkownicy dBpowerAMP:
Nie muszą nic robić - AccurateRip jest gotowy do pracy.

Użytkownicy Exact Audio Copy:
W pierwszym rzędzie muszą skopiować bibliotekę accuraterip.dll z ...\dbpoweramp do głównego folderu programu (lub podać od razu prawidłową ścieżkę przy instalacji dMC-AccurateRip.exe).
Oprócz tego muszą dokonać kilku zmian w ustawieniach samego programu:
- Włączyć opcję 'Nadczytuj w obszarach LeadIn i LeadOut', znajdującą się na karcie 'Przesunięcie/szybkość' 'Opcji napędu' menu 'EAC'
ewentualnie
- Włączyć opcję 'Uzupełniaj brakujące próbki ciszą' na karcie 'Zgrywanie', znajdującą się w 'Opcjach EACa' menu 'EAC'.
Można włączyć obie powyższe opcje, można tylko jedną z nich. Ale któraś MUSI być włączona.
- Wyłączyć opcję 'Usuwaj początkowe i końcowe bloki ciszy', znajdującą się na karcie 'Zgrywanie' w 'Opcjach EACa' menu 'EAC'.
Jeśli wystąpią problemy z pierwszym lub ostatnim nagraniem na płycie, przyczyną może być to, że napęd nie potrafi nadczytywać z obszarów LeadIn i LeadOut. W tej sytuacji należy wyłączyć opcję 'Nadczytuj w obszarach LeadIn i LeadOut' i włączyć 'Uzupełniaj brakujące próbki ciszą'.
(Pełny opis po polsku konfiguracji Exact Audio Copy oraz AccurateRip znajduje się na stronie cdrinfo.pl.)


Konfiguracja napędów

Przed rozpoczęciem korzystania z AccurateRip należy skorygować przesunięcie odczytu wnoszone przez napęd(y). Co to jest przesunięcie? Teoretycznie napęd czy odtwarzacz powinien rozpoczynać odczyt z pozycji 00:00:00,000 (minuty:sekundy:ramki,próbki). Jednak w praktyce tak nie jest. W zasadzie żaden napęd nie zaczyna odczytu dokładnie z tego miejsca, lecz nieco wcześniej lub później. Jeśli te różnice nie zostaną skorygowane otrzymane wyniki będą nieporównywalne. Wartość przesunięcia jest stała dla tych samych modeli napędów i może zostać skorygowana (jeśli napęd nie obsługuje "Dokładnego strumienia", co oznacza, że za każdym razem odczytuje nagranie zaczynając w innym miejscu i jest to niekonfigurowalne - nie da się korzystać z AccurateRip).

AccurateRip wyznacza przesunięcie wnoszone przez napęd za pomocą płyt kluczowych (keydiscs). Są to płyty, które ktoś już zgrywał z prawidłowo skorygowanym przesunięciem. Płyty kluczowe muszą mieć minimum pięć nagrań o określonej długości. W celu skorygowania przesunięcia należy włożyć jedną z nich (ich lista znajduje się pod adresem www.accuraterip.com) do napędu i jeśli zostanie rozpoznana (ten sam tytuł może się kompletnie różnić w zależności od tego, kiedy i przez kogo był tłoczony) AccurateRip zaproponuje poprawną wartość.

Jeśli używanego modelu napędu nie ma w bazie danych napędów AccurateRip potrzebne będą trzy płyty kluczowe dające taki sam wynik. Po skonfigurowaniu warto zgrać płytę użytą do wyznaczenia przesunięcia aby sprawdzić dokładność napędu.


Zgrywanie z AccurateRip

Przed rozpoczęciem zgrywania warto obejrzeć płytę aby sprawdzić, czy coś się do niej nie przykleiło, lub czy nie jest zakurzona. Pozwoli to na uzyskanie lepszych wyników. Jeśli AccurateRip rozpozna właśnie zgrywaną płytę, która znajduje się w jego bazie danych, wyświetli po zakończeniu zgrywania następujący komunikat:

Z raportu można się dowiedzieć, że nagrania pierwsze i drugie zgrały się bezbłędnie z wiarygodnością 3, co oznacza, że trzy inne osoby, które je zgrywały, uzyskały identyczne wyniki. Natomiast trzeciego nagrania nie ma w bazie danych (albo nie zostało zgrane przez osobę(y) wysyłającą(e) wyniki, albo rezultaty były różne), Jeśli wiarygodność wynosi 2 i więcej można mieć pełne zaufanie do jakości kopii!

Liczby w nawiasach kwadratowych oznaczają sumę kontrolną (CRC) i można je zignorować. Mówią tylko, że coś poszło nie tak. Jeśli na przykład płyta w miejscu nagrania drugiego miała rysę, suma kontrola informuje, że nie zostało poprawnie zgrane (z wiarygodnością 3). Jeśli wiarygodność wynosi 2 lub 3 i więcej można być absolutnie pewnym, że nagranie jest zgrane nieprawidłowo i może zawierać słyszalne zniekształcenia. Natomiast wiarygodność równa 1 praktycznie nie mówi nic o jakości zgranego materiału, informuje jedynie, że ktoś zgrywając to nagranie uzyskał inny wynik.

Jeśli po zgraniu płyty występują różnice we wszystkich nagraniach oznacza to, że albo zgrywana płyta była w fatalnym stanie, albo - co bardziej prawdopodobne - tłoczenie jest kompletnie różne.

Wyniki zgrywania znajdą się w bazie danych dopiero po wysłaniu ich.


Wysyłanie wyników

Istota działania AccurateRip opiera się na danych wysyłanych przez użytkowników. Każda zgrana (nieważne czy dobrze czy źle) płyta dodawana jest do bazy danych AccurateRip. Wyniki zgrywania najpierw gromadzone są w komputerze użytkownika i po zgraniu kilku płyt można hurtowo wysłać dane do bazy (zaleca się robić to jednak nie częściej niż raz w tygodniu).

dBpowerAMP: w menu Options należy wybrać >> Submit AccurateRip Results
Exact Audio Copy: Z menu Baza danych należy wybrać >> Wyślij wyniki zgrywania do bazy AccurateRip...

Wyniki można wysyłać na dwa sposoby - za pomocą HTTP (najpierw należy połączyć się z Internetem), lub pocztą. Korzystanie z HTTP jest łatwiejsze. Z kolei pliki potrzebne do wysłania pocztą są zapisywane na pulpicie. Należy je stamtąd wysłać pod wskazany adres, po czym skasować. Po około dwóch tygodniach wysłane wyniki zostaną uwzględnione w bazie danych. Można ustawić automatyczne przypominanie co kilka dni o konieczności wysłania kolejnych wyników (opcja 'Przypominaj o wysyłaniu co dni x').

Konfigurowanie serwera Proxy wymagane jest tylko wtedy, gdy bez niego nie da się uzyskać połączenia internetowego.

Właściciele dwóch napędów mogą zgrywać najpierw na jednym z nich, wysłać wyniki, po czym zgrać jeszcze raz na drugim.


Podziękowania

Wyrazy wdzięczności dla Panda'y za pomoc przy tworzeniu skryptu służącego do wysyłania wyników przez Internet.